
QGIS Application - Bug report #370

PostGIS digitizing: wrong placement (reprojection?)

2006-11-02 06:47 AM - Redmine Admin

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Digitising

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 10429

Description

Got a new problem (svn 6044):

- loading a wms layer (NASA, latlong-wgs84)

- loading a postgis layer (Gauss-boaga)

- enabling on-the-fly projection

- starting digitize (points)

The points are placed along Greenwich (long0), and also long is not correct.

History

#1 - 2006-11-06 12:44 AM - Marco Hugentobler

Dear Paolo,

I tried this using a database with the swiss coordinate system. My experience was that qgis didn't recognize the projection of the table and treated it as

WGS84. After this, I went to vector layer properties -> general -> Spatial Reference system and change it to swiss coordinate system to tell qgis explicitely

the right coordinate system. Then, digitizing went fine, so it might be more a coordinate system recognition problem than a digitizing problem.

Could you try if it is the same for you with the Gauss-boaga postgis layer?

Marco

#2 - 2006-11-06 12:59 AM - Marco Hugentobler

Oh, I just realised that I used the QGIS SRID instead of postgis SRID when I created the table. Now it works for me as it should.

If it still does not work for you, could you try if there is the same bug with a shapefile in Gauss-boaga projection? If so, could you send me this file for

testing?

thanks,

Marco

#3 - 2006-11-06 01:36 AM - Redmine Admin

- Resolution set to invalid

- Status changed from Open to Closed

Got it -my mistake. If I try to reproject gaus-boaga points, this does not work for extreme east locations. Sorry.
A cubic world would be way better!

pc

#4 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
